package com.tongda.tdpimssdk.remote.common;

import com.alibaba.fastjson.JSONObject;
import com.tongda.tdpimssdk.entities.AssetAbstract;
import com.tongda.tdpimssdk.entities.common.*;
import com.tongda.tdpimssdk.http.PimHttpUtil;
import com.tongda.tdpimssdk.remote.paramset.AssetParamSet;
import com.tongda.tdpimssdk.remote.RemoteSaAuthHandler;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

import static com.tongda.tdpimssdk.http.PimHttpUtil.resultUtil;

@Data
abstract public class RemoteAbstractEntity extends AssetAbstract {

    protected AssetParamSet assetVo;

    private RemoteSaAuthHandler rsh;

    public MetadataEntry getMetadataEntryByKey(String key){
        List<Metadata> mdg = this.getMetadataGroup().getMetadata();
        for(Metadata md : mdg){
            for(MetadataEntry mde : md.getMetadataEntry()){
                if(mde.getKey().equals(key)){
                    return mde;
                }
            }
        }
        return null;
    }

}
