
package com.tongda.tdpimssdk.entities;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Product complex type的 Java 类。
 * 
 * <p>以下模式片段指定包含在此类中的预期内容。
 * 
 * <pre>
 * &lt;complexType name="Product"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element ref="{}Permission"/&gt;
 *         &lt;element ref="{}Desc"/&gt;
 *         &lt;element ref="{}History"/&gt;
 *         &lt;element ref="{}MetadataGroup"/&gt;
 *         &lt;element ref="{}ResourceCatalog"/&gt;
 *         &lt;element name="TSVariableDefGroup"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element ref="{}TSVariableDef" maxOccurs="unbounded" minOccurs="0"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *       &lt;attGroup ref="{}T_Attr_DBObject"/&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@Data
@XmlType(name = "Product", propOrder = {
    "permission",
    "desc",
    "history",
    "metadataGroup",
    "resourceCatalog",
    "tsVariableDefGroup"
})
public class Product extends AssetAbstract{

    @XmlElement(name = "ResourceCatalog", required = true)
    protected ResourceCatalog resourceCatalog;


}
